Bug 4142 - autofs won't mount with path lengths longer that one
autofs won't mount with path lengths longer that one
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-21 13:53 EDT by abm64239
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-01 16:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description abm64239 1999-07-21 13:53:52 EDT
autofs will not mount directories that have more than one
componet in the path.  i.e.

/home    works fine
/home/apps  will not work.

this will not work on a map on the nis server or with a
local map.  I reconfigured the same exact map so the mount
point was a single directory and it worked.  Went back and
changed it to a multiple path and it would not work.  The
error given was the directory did not exist.  Autofs under
other unix systems will mount multiple path entries with no
problems.  Thanks for any help.  We need this to work for
integration into our corporate environment.  Thanks again.

Aaron Miller
Comment 1 Jay Turner 1999-07-22 14:15:59 EDT
Not exactly following you on this one.  Are you saying that you are
trying to mount stuff onto the /home and /homeapps moutn point, or
that you are trying to mount /home and /home/apps on another mount
point.
Comment 2 Bill Nottingham 1999-08-21 15:28:59 EDT
OK, double checking; you have an automounter running on /mnt,
and you want to mount entries on /mnt/foo/bar, correct?

Apologies for the slow response.
Comment 3 Bill Nottingham 1999-08-31 12:06:59 EDT
Do the directories actually exist on the machines?
Autofs will not create the directories to satisfy a
multi-level mount - it won't mount on /foo/bar if /foo isn't
there...

Note You need to log in before you can comment on or make changes to this bug.